<?php
define('NO_KEEP_STATISTIC', true); 
define('NOT_CHECK_PERMISSIONS', true);
require($_SERVER['DOCUMENT_ROOT'].'/bitrix/modules/main/include/prolog_before.php');
\Bitrix\Main\Loader::includeModule('iblock');
\Bitrix\Main\Loader::includeModule('webdebug.seo');

$arQuery = [
	'order' => [
		'SECTION_ID' => 'ASC',
		'URL_NAME' => 'ASC',
	],
	'filter' => [
		'TYPE' => 'SMART_FILTER',
		'!SECTION_ID' => false,
		'!=ACTIVE' => 'N',
		[
			'LOGIC' => 'OR',
			['=RULE_ACTIVE' => 'Y'],
			['RULE_ACTIVE' => false],
		],
		[
			'LOGIC' => 'OR',
			['=PROFILE_ACTIVE' => 'Y'],
			['PROFILE_ACTIVE' => false],
		],
		[
			'LOGIC' => 'OR',
			['=PROFILE_SITE_ID' => SITE_ID],
			['=SITE_ID' => SITE_ID],
		],
	],
	'select' => [
		'*',
		'RULE_ID' => 'RULE.ID',
		'RULE_NAME' => 'RULE.NAME',
		'RULE_ACTIVE' => 'RULE.ACTIVE',
		'SECTION_ID' => 'RULE.SECTION_ID',
		'SECTION_NAME' => 'SECTION.NAME',
		'PROFILE_ACTIVE' => 'PROFILE.ACTIVE',
		'PROFILE_SITE_ID' => 'PROFILE.SITE_ID',
		'PROFILE_ID' => 'RULE.PROFILE_ID',
		'PROFILE_IBLOCK_ID' => 'PROFILE.IBLOCK_ID',
	],
	'runtime' => [
		'RULE' =>   [
			'data_type' => 'WD\\Seo\\SmartFilter\\RuleTable',
			'reference' => [
				'ref.ID' => 'this.PARENT_ID',
			],
			'join_type' => 'left',
		],
		'PROFILE' =>   [
			'data_type' => 'WD\\Seo\\SmartFilter\\ProfileTable',
			'reference' => [
				'ref.ID' => 'this.RULE.PROFILE_ID',
			],
			'join_type' => 'left',
		],
		'RAND' =>   [
			'data_type' => 'float',
			'expression' => [
				'RAND()',
			],
		],
		'SECTION' =>   [
			'data_type' => '\Bitrix\IBlock\SectionTable',
			'reference' => [
				'ref.ID' => 'this.SECTION_ID',
			],
			'join_type' => 'left',
		],
	],
];
// \WD\Seo\Helper::P($arQuery);
$arUrls = [];
$resUrls = \WD\Seo\UrlTable::getList($arQuery);
while($arUrl = $resUrls->fetch()){
	if($arUrl['SECTION_ID'] > 0){
		if(!is_array($arUrls[$arUrl['SECTION_ID']])){
			$arUrls[$arUrl['SECTION_ID']] = [
				'ID' => $arUrl['SECTION_ID'],
				'NAME' => $arUrl['SECTION_NAME'],
				'ITEMS' => [],
			];
		}
		$arUrl['_URL'] = strlen($arUrl['URL_SEO']) ? $arUrl['URL_SEO'] : $arUrl['URL_REAL'];
		$arUrl['_NAME'] = strlen($arUrl['URL_NAME']) ? $arUrl['URL_NAME'] : $arUrl['_URL'];
		$arUrls[$arUrl['SECTION_ID']]['ITEMS'][] = $arUrl;
	}
}
// \WD\Seo\Helper::P($arUrls);

?>

<ul>
	<?foreach($arUrls as $arSection):?>
		<li>
			<h2><?=$arSection['NAME'];?></h2>
			<ul>
				<?foreach($arSection['ITEMS'] as $arUrl):?>
					<li>
						<a href="<?=$arUrl['_URL'];?>"><?=$arUrl['_NAME'];?></a>
					</li>
				<?endforeach?>
			</ul>
		</li>
	<?endforeach?>
</ul>
